# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class OutOfLineContent.AtomHandler

    java.lang.Object
      com.google.gdata.util.XmlParser.ElementHandler
          com.google.gdata.data.OutOfLineContent.AtomHandler

Enclosing class:
  OutOfLineContent

    public class OutOfLineContent.AtomHandler

extends XmlParser.ElementHandler

Parses XML in the Atom format.

Field Summary

Fields inherited from class com.google.gdata.util.XmlParser.ElementHandler
`qName, value, xmlBase, xmlLang`

Constructor Summary
`OutOfLineContent.AtomHandler()`

Method Summary
`void` `processAttribute(java.lang.String namespace, java.lang.String localName, java.lang.String value)` Processes attributes.
`void` `processEndElement()` Called to process this element when the closing tag is encountered.

Methods inherited from class com.google.gdata.util.XmlParser.ElementHandler
`getAbsoluteUri, getBooleanAttribute, getChildHandler, getChildHandler, initializeXmlBlob, parseBooleanValue, processAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutOfLineContent.AtomHandler

    public OutOfLineContent.AtomHandler()

Method Detail

### processAttribute

    public void processAttribute(java.lang.String namespace,
                                 java.lang.String localName,
                                 java.lang.String value)
                          throws ParseException

  Processes attributes.

  Overrides:
    `processAttribute` in class `XmlParser.ElementHandler`
  Parameters:
    `namespace` - Attribute namespace URI.
    `localName` - Attribute name.
    `value` - Attribute value.
  Throws:
    `ParseException`

### processEndElement

    public void processEndElement()
                           throws ParseException

  Description copied from class: `XmlParser.ElementHandler`
  Called to process this element when the closing tag is encountered. The default implementation refuses to accept text() content, unless the handler is configured to accept unrecognized XML with mixed content.

  Overrides:
    `processEndElement` in class `XmlParser.ElementHandler`
  Throws:
    `ParseException`